WebM Codec SDK: Data Fields - Variables

WebM Codec SDK

### - a -

- active_map : vpx_active_map
- alt_fb_idx : vpx_svc_ref_frame_config

### - b -

- bit_depth : vpx_image
- bps : vpx_image
- buf : vpx_codec_cx_pkt , vpx_fixed_buf

### - c -

- cols : vpx_active_map , vpx_roi_map
- config : vpx_codec_ctx
- cs : vpx_image

### - d -

- d_h : vpx_image
- d_w : vpx_image
- data : vpx_codec_cx_pkt , vpx_codec_frame_buffer
- deblocking_level : vp8_postproc_cfg
- dec : vpx_codec_ctx
- decrypt_cb : vpx_decrypt_init
- decrypt_state : vpx_decrypt_init
- delta_lf : vpx_roi_map
- delta_q : vpx_roi_map
- den : vpx_rational
- duration : vpx_codec_cx_pkt

### - e -

- err : vpx_codec_ctx
- err_detail : vpx_codec_ctx

### - f -

- fb_priv : vpx_image
- firstpass_mb_stats : vpx_codec_cx_pkt
- flags : vpx_codec_cx_pkt
- fmt : vpx_image
- frame : vpx_codec_cx_pkt
- frame_flags : vpx_svc_ref_frame_config
- frame_type : vpx_ref_frame

### - g -

- g_bit_depth : vpx_codec_enc_cfg
- g_error_resilient : vpx_codec_enc_cfg
- g_h : vpx_codec_enc_cfg
- g_input_bit_depth : vpx_codec_enc_cfg
- g_lag_in_frames : vpx_codec_enc_cfg
- g_pass : vpx_codec_enc_cfg
- g_profile : vpx_codec_enc_cfg
- g_threads : vpx_codec_enc_cfg
- g_timebase : vpx_codec_enc_cfg
- g_usage : vpx_codec_enc_cfg
- g_w : vpx_codec_enc_cfg
- gld_fb_idx : vpx_svc_ref_frame_config

### - h -

- h : vpx_codec_dec_cfg , vpx_codec_stream_info , vpx_image , vpx_image_rect
- h_scaling_mode : vpx_scaling_mode

### - i -

- idx : vp9_ref_frame
- iface : vpx_codec_ctx
- img : vp9_ref_frame , vpx_ref_frame
- img_data : vpx_image
- img_data_owner : vpx_image
- init_flags : vpx_codec_ctx
- is_kf : vpx_codec_stream_info

### - k -

- kf_max_dist : vpx_codec_enc_cfg
- kf_min_dist : vpx_codec_enc_cfg
- kf_mode : vpx_codec_enc_cfg
- kind : vpx_codec_cx_pkt

### - l -

- layer_target_bitrate : vpx_codec_enc_cfg
- lst_fb_idx : vpx_svc_ref_frame_config

### - m -

- max_quantizers : vpx_svc_parameters
- min_quantizers : vpx_svc_parameters

### - n -

- name : vpx_codec_ctx
- noise_level : vp8_postproc_cfg
- num : vpx_rational

### - o -

- output_cx_pkt : vpx_codec_enc_output_cx_cb_pair

### - p -

- pad : vpx_codec_cx_pkt
- partition_id : vpx_codec_cx_pkt
- planes : vpx_image
- post_proc_flag : vp8_postproc_cfg
- priv : vpx_codec_ctx , vpx_codec_frame_buffer
- psnr : vpx_codec_cx_pkt
- pts : vpx_codec_cx_pkt

### - r -

- r_h : vpx_image
- r_w : vpx_image
- range : vpx_image
- raw : vpx_codec_cx_pkt
- rc_2pass_vbr_bias_pct : vpx_codec_enc_cfg
- rc_2pass_vbr_corpus_complexity : vpx_codec_enc_cfg
- rc_2pass_vbr_maxsection_pct : vpx_codec_enc_cfg
- rc_2pass_vbr_minsection_pct : vpx_codec_enc_cfg
- rc_buf_initial_sz : vpx_codec_enc_cfg
- rc_buf_optimal_sz : vpx_codec_enc_cfg
- rc_buf_sz : vpx_codec_enc_cfg
- rc_dropframe_thresh : vpx_codec_enc_cfg
- rc_end_usage : vpx_codec_enc_cfg
- rc_firstpass_mb_stats_in : vpx_codec_enc_cfg
- rc_max_quantizer : vpx_codec_enc_cfg
- rc_min_quantizer : vpx_codec_enc_cfg
- rc_overshoot_pct : vpx_codec_enc_cfg
- rc_resize_allowed : vpx_codec_enc_cfg
- rc_resize_down_thresh : vpx_codec_enc_cfg
- rc_resize_up_thresh : vpx_codec_enc_cfg
- rc_scaled_height : vpx_codec_enc_cfg
- rc_scaled_width : vpx_codec_enc_cfg
- rc_target_bitrate : vpx_codec_enc_cfg
- rc_twopass_stats_in : vpx_codec_enc_cfg
- rc_undershoot_pct : vpx_codec_enc_cfg
- roi_map : vpx_roi_map
- rows : vpx_active_map , vpx_roi_map

### - s -

- samples : vpx_codec_cx_pkt
- scaling_factor_den : vpx_svc_parameters
- scaling_factor_num : vpx_svc_parameters
- self_allocd : vpx_image
- size : vpx_codec_frame_buffer
- spatial_layer_id : vpx_svc_layer_id
- speed_per_layer : vpx_svc_parameters
- ss_enable_auto_alt_ref : vpx_codec_enc_cfg
- ss_number_layers : vpx_codec_enc_cfg
- ss_target_bitrate : vpx_codec_enc_cfg
- sse : vpx_codec_cx_pkt
- static_threshold : vpx_roi_map
- stride : vpx_image
- sz : vpx_codec_cx_pkt , vpx_codec_stream_info , vpx_fixed_buf

### - t -

- temporal_layer_id : vpx_svc_layer_id
- temporal_layering_mode : vpx_codec_enc_cfg , vpx_svc_parameters
- threads : vpx_codec_dec_cfg
- ts_layer_id : vpx_codec_enc_cfg
- ts_number_layers : vpx_codec_enc_cfg
- ts_periodicity : vpx_codec_enc_cfg
- ts_rate_decimator : vpx_codec_enc_cfg
- ts_target_bitrate : vpx_codec_enc_cfg
- twopass_stats : vpx_codec_cx_pkt

### - u -

- user_priv : vpx_codec_enc_output_cx_cb_pair , vpx_image

### - v -

- v_scaling_mode : vpx_scaling_mode

### - w -

- w : vpx_codec_dec_cfg , vpx_codec_stream_info , vpx_image , vpx_image_rect

### - x -

- x : vpx_image_rect
- x_chroma_shift : vpx_image

### - y -

- y : vpx_image_rect
- y_chroma_shift : vpx_image